Import contacts into the database.
Required permissions: Edit Contacts and transactions
post
Query parameters
apiTokenstringRequired
API authentication token
Body
actionstring · enumOptionalPossible values:
columnDelimiterstringOptional
displayNamestringOptional
descriptionstringOptional
encodingstringOptional
firstRowHasColumnNamesbooleanOptional
rowSeparatorstringOptional
sourcestringOptional
textQualifierstringOptional
typestring · enumOptionalPossible values:
uploadIDstringOptional
hideImportbooleanOptional
importBlankValuesbooleanOptional
customTagsstring[]Optional
Responses
200
OK
application/json
importIDstringOptional
401
Incorrect Permissions or Invalid API Token
application/json
500
Engage Server Error. Unable to process response at this time.
application/json
post/database/contacts/import/execute
POST /database/contacts/import/execute?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Content-Type: application/json
Accept: */*
Content-Length: 381
{
"action": "Append",
"columnDelimiter": "text",
"displayName": "text",
"description": "text",
"encoding": "text",
"fieldMaps": [
{
"from": "text",
"to": "text"
}
],
"firstRowHasColumnNames": true,
"rowSeparator": "text",
"source": "text",
"textQualifier": "text",
"type": "FlatFile",
"updateMaps": [
{
"from": "text",
"to": "text"
}
],
"uploadID": "text",
"hideImport": true,
"importBlankValues": true,
"customTags": [
"text"
]
}{
"importID": "text"
}PreviousGet the status of a contact database import.
NextUpload a contact database import file. File is scanned for viruses before being stored.
Last updated
Was this helpful?

